> ## Documentation Index
> Fetch the complete documentation index at: https://developer.lemlist.com/llms.txt
> Use this file to discover all available pages before exploring further.

> Retrieves details of a specific schedule.

# Get Schedule

export const SnippetObjectReference = ({objectName, objectPath = null}) => {
  const lowerCaseObjectName = objectName.toLowerCase();
  if (lowerCaseObjectName === 'lead' || lowerCaseObjectName === 'leads') {
    return <Note>
        This endpoint uses the <a href={`/api-reference/objects-definitions/${objectPath}`}>{objectName} object</a>. Make sure to also check the <a href={`/api-reference/objects-definitions/${lowerCaseObjectName === 'lead' ? 'contact' : 'lead'}`}>{lowerCaseObjectName === 'lead' ? 'Contact' : 'Lead'} object</a> to understand the distinction between the two.
      </Note>;
  }
  return <Note>
      This endpoint uses the <a href={`/api-reference/objects-definitions/${objectPath}`}>{objectName} object</a>.
    </Note>;
};

<SnippetObjectReference objectName="Schedule" objectPath="schedule" />


## OpenAPI

````yaml get /schedules/{scheduleId}
openapi: 3.0.0
info:
  title: lemlist API
  version: 1.0.0
  description: >-
    Welcome to the lemlist Developer Documentation.


    lemlist is very customizable and open. You'll find on this page all the API
    and integration you can do with lemlist.


    # Rate Limit


    lemlist's API rate limits requests in order to prevent abuse and overload of
    our services.  

    Rate limits are applied on all routes and per API key performing the
    request.  

    The rate limits are **20** requests per **2** seconds.  

    The response provides any information you may need about it:


    | Header | Description |

    | --- | --- |

    | Retry-After | The number of seconds in which you can retry |

    | X-RateLimit-Limit | The maximum requests in that time |

    | X-RateLimit-Remaining | The number of remaining requests you can make |

    | X-RateLimit-Reset | The date when the rate limit will reset |


    _Example of values for the rate limit headers_


    ``` json

    {
        "Retry-After": 2,
        "X-RateLimit-Limit": 20,
        "X-RateLimit-Remaining": 7,
        "X-RateLimit-Reset" : "Tue Feb 16 2021 09:02:42 GMT+0100 (Central European Standard Time)"
    }

     ```

    # Definitions


    ## Team


    A team is the entity of lemlist that can handle users and billing.


    ## Credits


    Credits are the coins a team uses to enrich emails, LinkedIn URLs, etc. via
    the enrich route. Each enrichment feature needs a certain amount of credits
    to run.


    ## User


    You use a user account to connect to lemlist and send messages via the
    connected emails or LinkedIn account.


    ## Campaign


    A campaign is the entity to automate outreach. A campaign has multiple
    sequences composed of steps.


    ## Lead


    A lead is a person that you try to contact via a campaign.


    ## Activity


    An activity is the history of all the steps.


    ## Unsubscribe


    An unsubscribe occurs when a person decides they don't want to receive
    emails from you anymore.


    # Authentication


    All API routes use the dedicated subdomain `api.lemlist.com`.


    lemlist uses API keys to allow access to the API. You can get your lemlist
    API key at our [integration
    page](https://app.lemlist.com/settings/integrations).


    You need to add the `Authorization` header using the `Basic` authentication
    type. `login:password` **where the login is always empty and the password is
    the API key**.


    ⚠️ **Don't forget to add the semicolon (**`:`**) before your API key in curl
    command.**


    > To authorize, use this code: 
      

    ``` shell

    curl https://api.lemlist.com/api/team \
      --user ":YourApiKey"

     ```

    **Make sure to replace** **`YourApiKey`** **with your API key.**


    # Give feedback


    If you want to report a bug, ask for data, or share with us a use case,
    please fill this [form](https://lemlist.typeform.com/to/mfVlkyGf). It will
    help us centralize your needs!
servers:
  - url: https://api.lemlist.com/api
security:
  - basicAuth: []
paths:
  /schedules/{scheduleId}:
    parameters:
      - name: scheduleId
        in: path
        required: true
        description: The unique identifier of the schedule
        example: skd_VK2e2ON1xErgrc8NC
        schema:
          type: string
    get:
      tags:
        - Schedules
      summary: Get Schedule
      parameters: []
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Schedule'
                required:
                  - _id
                  - name
                  - secondsToWait
                  - timezone
                  - start
                  - end
                  - weekdays
              example:
                _id: skd_iQiNG7VinWIUkgLy1
                name: Renamed Schedule
                secondsToWait: 1000
                timezone: Europe/Berlin
                start: '08:00'
                end: '18:00'
                weekdays:
                  - 1
                  - 2
                  - 3
                  - 2
                  - 5
                public: true
                teamId: tea_8QvkOiBfPdb2ZRhHi
                createdBy: usr_ahfFktBBHUIxbVG5P
                createdAt: '2025-10-27T09:41:11.187Z'
        '400':
          description: Bad team
          content:
            text/plain:
              example: Bad team
        '401':
          description: The authentication you supplied is incorrect
          content:
            text/plain:
              example: The authentication you supplied is incorrect
        '404':
          description: Schedule not found
          content:
            text/plain:
              example: Schedule not found
components:
  schemas:
    Schedule:
      type: object
      description: >-
        Sending time windows defining when campaigns can send messages (days and
        hours).
      properties:
        _id:
          type: string
          description: Unique schedule identifier
        name:
          type: string
          description: Schedule name
        secondsToWait:
          type: integer
          description: Seconds between sends
        timezone:
          type: string
          description: Schedule timezone (e.g., 'Europe/Paris')
        start:
          type: string
          description: Daily start time (HH:mm)
          pattern: ^([01]\d|2[0-3]):[0-5]\d$
        end:
          type: string
          description: Daily end time (HH:mm)
          pattern: ^([01]\d|2[0-3]):[0-5]\d$
        weekdays:
          type: array
          items:
            type: integer
            minimum: 1
            maximum: 7
          description: Active weekdays (1=Monday, 7=Sunday)
        public:
          type: boolean
          description: Whether the schedule is available as a template for other users
        teamId:
          type: string
          description: Unique identifier of the team that owns this schedule
        createdBy:
          type: string
          description: Unique identifier of the user who created this schedule
        createdAt:
          type: string
          format: date-time
          description: Timestamp when the schedule was created
        deletedAt:
          type: string
          format: date-time
          description: Timestamp when the schedule was deleted (only present if deleted)
        deletedBy:
          type: string
          description: >-
            Unique identifier of the user who deleted this schedule (only
            present if deleted)
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic

````